<?php
session_start();
require 'verifica_cookie.php';
require 'conexao.php';
require 'config.php';

$indice = (isset($_POST['indice'])) ? $_POST['indice'] : '';

if (isset($_SESSION['PEDIDO'])):

	if (array_key_exists($indice, $_SESSION['PEDIDO'])):
		unset($_SESSION['PEDIDO'][$indice]);
		$itens = sizeof($_SESSION['PEDIDO']);
	endif;

	echo json_encode(['status' => 1, 'total' => $itens]);
else:
	echo json_encode(['status' => 0, 'mensagem' => 'Não existem itens pendentes!']);
endif;